Open CASCADE Technology: IFSelect_SelectEntityNumber Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IFSelect_SelectEntityNumber Class Reference

A SelectEntityNumber gets in an InterfaceModel (through a Graph), the Entity which has a specified Number (its rank of adding into the Model) : there can be zero (if none) or one. The Number is not directly defined as an Integer, but as a Parameter, which can be externally controled. More...

`#include <IFSelect_SelectEntityNumber.hxx>`

Inheritance diagram for IFSelect_SelectEntityNumber:
[legend]

## Public Member Functions
| IFSelect_SelectEntityNumber ()
| Creates a SelectEntityNumber, initially with no specified Number. More...
void | SetNumber (const Handle< IFSelect_IntParam > &num)
| Sets Entity Number to be taken (initially, none is set : 0) More...
Handle< IFSelect_IntParam > | Number () const
| Returns specified Number (as a Parameter) More...
Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities : the Entity having the specified Number (this result assures naturally uniqueness) More...
TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Entity Number ...". More...
Public Member Functions inherited from IFSelect_SelectBase
void | FillIterator (IFSelect_SelectionIterator &iter) const
| Puts in an Iterator the Selections from which "me" depends This list is empty for all SelectBase type Selections. More...
Public Member Functions inherited from IFSelect_Selection
Interface_EntityIterator | UniqueResult (const Interface_Graph &G) const
| Returns the list of selected entities, each of them beeing unique. Default definition works from RootResult. According HasUniqueResult, UniqueResult returns directly RootResult, or build a Unique Result from it with a Graph. More...
virtual Interface_EntityIterator | CompleteResult (const Interface_Graph &G) const
| Returns the list of entities involved by a Selection, i.e. UniqueResult plus the shared entities (directly or not) More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from IFSelect_Selection
virtual Standard_Boolean | HasUniqueResult () const
| Returns True if RootResult guarantees uniqueness for each Entity. Called by UniqueResult. Default answer is False. Can be redefined. More...

## Detailed Description

A SelectEntityNumber gets in an InterfaceModel (through a Graph), the Entity which has a specified Number (its rank of adding into the Model) : there can be zero (if none) or one. The Number is not directly defined as an Integer, but as a Parameter, which can be externally controled.

## Constructor & Destructor Documentation

IFSelect_SelectEntityNumber::IFSelect_SelectEntityNumber | ( |  | ) |

Creates a SelectEntityNumber, initially with no specified Number.

## Member Function Documentation

TCollection_AsciiString IFSelect_SelectEntityNumber::Label | ( |  | ) | const
| virtual

Returns a text defining the criterium : "Entity Number ...".

Implements IFSelect_Selection.

Handle< IFSelect_IntParam > IFSelect_SelectEntityNumber::Number | ( |  | ) | const

Returns specified Number (as a Parameter)

Interface_EntityIterator IFSelect_SelectEntityNumber::RootResult | ( | const Interface_Graph & | G | ) | const
| virtual

Returns the list of selected entities : the Entity having the specified Number (this result assures naturally uniqueness)

Implements IFSelect_Selection.

void IFSelect_SelectEntityNumber::SetNumber | ( | const Handle< IFSelect_IntParam > & | num | ) |

Sets Entity Number to be taken (initially, none is set : 0)

The documentation for this class was generated from the following file:

- IFSelect_SelectEntityNumber.hxx